# Type alias JoinOptions

JoinOptions: {
aggregations?: {
[nm: string]: AggregationOptions;
};
joinFields?: JoinFields;
starFields?: boolean;
where: any;
} & SelectOptions

#### Type declaration

- ##### `Optional` aggregations?: {
  [nm: string]: AggregationOptions;
  }

  - ##### [nm: string]: AggregationOptions

- ##### `Optional` joinFields?: JoinFields

- ##### `Optional` starFields?: boolean

- ##### where: any

- Defined in db-common/internal.ts:739

Generated using TypeDoc